Bug 833164 - Review Request: python-pyudev - udev bindings for python
Review Request: python-pyudev - udev bindings for python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ross Delinger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 14:27 EDT by Chris Lockfort
Modified: 2013-01-10 18:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 12:30:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rossdylan: fedora‑review+
limburgher: fedora‑cvs+
clockfor: rhel‑rawhide?


Attachments (Terms of Use)

  None (edit)
Description Chris Lockfort 2012-06-18 14:27:28 EDT
Spec URL: http://fedorapeople.org/~clockfort/python-pyudev-rpm/SPECS/python-pyudev.spec
SRPM URL: http://fedorapeople.org/~clockfort/python-pyudev-rpm/SRPMS/python-pyudev-0.15-1.fc17.src.rpm
Description: udev bindings for python
Fedora Account System Username: clockfort
Comment 1 Ross Delinger 2012-06-20 16:49:04 EDT
I got this one
Comment 2 Ross Delinger 2012-06-20 17:03:03 EDT
Only error I saw was an explicit requires on libudev, and since this package is for udev, it makes sense to have that. Approved.
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN", "LGPL (v2.1 or later)" For detailed output of
     licensecheck see file: /home/rossdylan/rpmbuild/REVIEWS/833164-python-
     pyudev/licensecheck.txt
[ ]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: python-pyudev-0.15-1.fc17.noarch.rpm
          python-pyudev-0.15-1.fc17.src.rpm
python-pyudev.noarch: E: explicit-lib-dependency libudev
python-pyudev.noarch: W: spelling-error %description -l en_US wxPython -> Python, python
python-pyudev.noarch: W: spelling-error %description -l en_US udev -> dude
python-pyudev.noarch: W: invalid-license LGPL
python-pyudev.src: W: spelling-error %description -l en_US wxPython -> Python, python
python-pyudev.src: W: spelling-error %description -l en_US udev -> dude
python-pyudev.src: W: invalid-license LGPL
2 packages and 0 specfiles checked; 1 errors, 6 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint python-pyudev
python-pyudev.noarch: E: explicit-lib-dependency libudev
python-pyudev.noarch: I: enchant-dictionary-not-found en_US
python-pyudev.noarch: W: invalid-license LGPL
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'

Requires
--------
python-pyudev-0.15-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    libudev  
    python  
    python(abi) = 2.7
    python-setuptools  

Provides
--------
python-pyudev-0.15-1.fc17.noarch.rpm:
    
    python-pyudev = 0.15-1.fc17

MD5-sum check
-------------
/home/rossdylan/rpmbuild/REVIEWS/833164-python-pyudev/upstream/pyudev-0.15.tar.gz :
  MD5SUM this package     : 35d7295e71664bb630a1fa61ad11d6f6
  MD5SUM upstream package : 35d7295e71664bb630a1fa61ad11d6f6


Generated by fedora-review 0.2.0git
External plugins:
Comment 3 Chris Lockfort 2012-06-20 17:06:00 EDT
Great. Flagged this rhel_rawhide as I would ideally like it in RHEL, as to use it as a dependancy for new features on the tuna package already in RHEL.
Comment 4 Gwyn Ciesla 2012-06-21 08:52:44 EDT
Please include an SCM request.

http://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 5 Chris Lockfort 2012-06-21 10:15:47 EDT
New Package SCM Request
=======================
Package Name: python-pyudev
Short Description: Python bindings for libudev
Owners: clockfort
Branches: f17, el6
InitialCC:
Comment 6 Gwyn Ciesla 2012-06-21 12:48:31 EDT
Summary and SCM package names don't match, please correct.
Comment 7 Chris Lockfort 2012-06-21 13:04:36 EDT
Fixed.
Comment 8 Gwyn Ciesla 2012-06-21 13:53:03 EDT
Email address clockfort@csh.rit.edu is not a valid bugzilla email address. 
Either make a bugzilla account with that email address or change your email
address in the Fedora Account System
https://admin.fedoraproject.org/accounts/ to a valid bugzilla email address
and try again.
Comment 9 Chris Lockfort 2012-06-21 14:04:38 EDT
FAS email changed.
Comment 10 Gwyn Ciesla 2012-06-21 14:58:41 EDT
I don't think it took, I see clockfort@csh.rit.edu still.
Comment 11 Chris Lockfort 2012-06-21 15:17:34 EDT
:-/ Definitely. Changed. Now.
Comment 12 Gwyn Ciesla 2012-06-21 15:19:48 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2012-06-21 16:04:07 EDT
python-pyudev-0.15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-pyudev-0.15-1.fc17
Comment 14 Fedora Update System 2012-06-22 04:33:02 EDT
python-pyudev-0.15-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 15 Fedora Update System 2012-07-10 12:30:10 EDT
python-pyudev-0.15-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.